save_config("yambar", [[
antiforeground: &antifg {{base}}ff
not_empty: &not_empty {{muted}}ff
foreground: &fg {{text}}ff
accent: &accent {{pine}}ff

bar:
  height: 16
  location: top
  layer: top
  spacing: 8
  right-margin: 8
  background: {{overlay}}dd
  foreground: *fg

  font: sans-serif:size=12

  left:
    - river:
        anchors:
          base: &river_base
            margin: 8
            tag: id
          default: &river_default
            default: {string: {text: "{id}"}}
          values: &river_values
            1: {string: {text: "I"}}
            2: {string: {text: "II"}}
            3: {string: {text: "III"}}
            4: {string: {text: "IV"}}
            5: {string: {text: "V"}}
            6: {string: {text: "VI"}}
            7: {empty: {}}
            8: {empty: {}}
            9: {empty: {}}
            10: {empty: {}}
            11: {empty: {}}
            12: {empty: {}}
            13: {empty: {}}
            14: {empty: {}}
            15: {empty: {}}
            16: {empty: {}}
            17: {empty: {}}
            18: {empty: {}}
            19: {empty: {}}
            20: {empty: {}}
            21: {empty: {}}
            22: {empty: {}}
            23: {empty: {}}
            24: {empty: {}}
            25: {empty: {}}
            26: {empty: {}}
            27: {empty: {}}
            28: {empty: {}}
            29: {empty: {}}
            30: {empty: {}}
            31: {empty: {}}
            32: {empty: {}}
        content:
          map:
            tag: state
            values:
              focused:
                map:
                  <<: *river_base
                  deco: {background: {color: *accent}}
                  values:
                    <<: *river_values
                    1: {string: {text: "I", foreground: *antifg}}
                    2: {string: {text: "II", foreground: *antifg}}
                    3: {string: {text: "III", foreground: *antifg}}
                    4: {string: {text: "IV", foreground: *antifg}}
                    5: {string: {text: "V", foreground: *antifg}}
                    6: {string: {text: "VI", foreground: *antifg}}
              unfocused:
                map:
                  <<: *river_base
                  values:
                    <<: *river_values
              invisible:
                map:
                  tag: occupied
                  values:
                    true:
                      map: 
                        deco: {background: {color: *not_empty}}
                        <<: *river_base
                        values:
                          <<: *river_values
                          1: {string: {text: "I", foreground: *antifg}}
                          2: {string: {text: "II", foreground: *antifg}}
                          3: {string: {text: "III", foreground: *antifg}}
                          4: {string: {text: "IV", foreground: *antifg}}
                          5: {string: {text: "V", foreground: *antifg}}
                          6: {string: {text: "VI", foreground: *antifg}}
                    false:
                      map: 
                        <<: *river_base
                        values:
                          <<: *river_values
  right:
    - network:
        name: eth0
        content:
          map:
            tag: carrier
            default: {empty: {}}
            values:
              true:
                map:
                  tag: state
                  values:
                    down: {string: {text: Ethernet down, foreground: *accent}}
                    up:
                      map:
                        tag: ipv4
                        default: {string: {text: Ethernet}}
                        values:
                          "": {string: {text: Ethernet sin IPv4, foreground: *accent}}
    - network:
        name: wlan0
        content:
          map:
            tag: state
            values:
              down: {string: {text: WiFi down, foreground: *accent}}
              up:
                map:
                  tag: ipv4
                  default: {string: {text: WiFi}}
                  values:
                    "": {string: {text: WiFi sin IPv4, foreground: *accent}}

    - battery:
       name: BAT0
       poll-interval: 30
       content:
         map:
           tag: state
           values:
             discharging: {string: {text: "{capacity}%"}}
             unknown: {string: {text: "{capacity}% limite"}}
             not charging: {string: {text: "{capacity}% limite"}}
             charging: {string: {text: "{capacity}% cargando"}}
             full: {string: {text: "{capacity}% full"}}

    - clock:
        date-format: "%A %d of %B"
        content:
          - string: {text: " {date}", right-margin: 12}
          - string: {text: " {time}"}
]], theme, "{{(%w+)}}")
