#!/usr/bin/env lua5.1

local templater = require "utils/template"

function expect_nil(result)
	if result then
		print("Error: "..result)
		os.exit(1)
	end
	return nil
end

local function read_file(path)
	local file = io.open(path, "r")
	if not file then return nil end
	local content = file:read "*a"
	file:close()
	return content
end

local theme_name_path = os.getenv("HOME").."/.config/themer.lua.theme"
local theme_name = read_file(theme_name_path)
theme = dofile("themes/"..theme_name..".lua")

local status = os.execute("mkdir -p ~/.cache/themer.lua/")
if not (status == 0) then return status end

function save_config(name, template, params, pattern)
	local file, err = io.open(os.getenv("HOME").."/.cache/themer.lua/"..name, "w+")
	if not file then expect_nil(err) end
	file:write(templater(template, params, pattern))
	file:close()
end

require "modules/sway"
require "modules/river"
require "modules/yambar"
require "modules/foot"
require "modules/fnott"
require "modules/fuzzel"
require "modules/lock"
require "modules/shell"
require "modules/vis"
require "modules/kakoune"
require "modules/gtk"

